Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### [] (array access)
Examples |
    int[] numbers = new int[3];
    numbers[0] = 90;
    numbers[1] = 150;
    numbers[2] = 30;
    int a = numbers[0] + numbers[1]; // Sets variable a to 240
    int b = numbers[1] + numbers[2]; // Sets variable b to 180
Description | The array access operator is used to specify a location within an array. The data at this location can be defined with the syntax array[element] = value or read with the syntax value = array[element].
Syntax |
    datatype[]
    array[element]
Parameters |
datatype | any primitive or compound datatype, including user defined classes
array | any valid variable name
element | int: must not exceed the length of the array - 1
Usage | Web & Application
Related | Array

Updated on August 30, 2010 04:29:39pm EDT